<?php

/* Жизнь птиц */

$strow = $connect->prepare("select * from `birds` where `id` = ?");
$death = $connect->prepare("delete from `u_birds` where `id` = ?");

$sql = $connect->query("select * from `u_birds` order by `id` desc")->fetchAll();

$live = [];

foreach ($sql as $row) {

    if (!isset($live[$row['bid']])) {

        $strow->execute(array($row['bid']));
        $bird = $strow->fetch();

        $live[$row['bid']] = $bird['live'] ?? 'none';

    }

    if ($live[$row['bid']]) {

        if ($live[$row['bid']] == 'none'
         || $row['time'] + 3600 * 24 * $live[$row['bid']] < time()) {

            $death->execute(array($row['id'])); // смерть :(

        }

    }

}