<?php

/*
 * RCore
 * Author - rekmixa
 * E-mail - rekmixa@gmail.com
 * Site - http://wordads.ru
 */

require_once("inc/head.php");

if ($count_news > 0) {

    $sql = $connect->query("select * from `news` order by `id` desc limit 1");

    foreach ($sql as $row) {

        echo '<div class="title">'.$row['name'].'</div>
        <div class="menu">
        '.nl2br(smiles(bb(bbyoutube(bblinks(shortText($row['text'], $sys['system']['news_s'])))))).'<br/>
        <div class="chi">'.daytime($row['time']).'</div>
        <div class="butt3"><a href="/news/event/'.$row['id'].'">Подробнее</a></div>
        </div>';

    }

}

if (isset($active)) {

    echo '<div class="title">Кабинет<span class="white-right-block-txt">'.profileLink($user).'</span></div>';

    switch ($act) {

        case 'success':

            echo '<div class="menu"><div class="good">Операция прошла успешно!</div></div>';

            break;

        case 'fail':

            echo '<div class="menu"><div class="forbidden">Произошла ошибка!</div></div>';

    }

    if (!$user['wmid'] && !$user['wmr'])
        echo '<div class="forlink"><a href="/settings/wmid" class="links"><img src="/img/webmoney.png" alt="webmoney">Заполнить реквизиты?</a></div>';

    echo '<div class="menu">
    '.($user['wmid'] ? 'WMID: '.$user['wmid'].'<br/>' : '').
      ($user['wmr'] ? 'Кошелек: <img src="/img/wmr.png" alt="wmr">'.$user['wmr'].'<br/>' : '').'
    Баланс: '.rub($user['money']).'<br/>
    Серебро: '.$user['serebro'].'<img src="/img/serebro.png" alt="serebro"><br/>
    Яиц на складе: '.$user['eags'].'<img src="/img/eags.png" alt="eags"><br/>
    E-mail: '.$user['email'].'<br/>
    </div>
    <div class="forlink"><a href="/obmen" class="links"><img src="/img/exp.png" alt="exp">Обменник</a></div>
    <div class="forlink"><a href="/plus" class="links"><img src="/img/money.png" alt="money">Пополнить баланс</a></div>
    <div class="forlink"><a href="/minus" class="links"><img src="/img/moneyback.png" alt="moneyback">Вывод средств</a></div>';

} else {

    echo '<div class="title">Golden Birds</div>
    <div class="menu">
    <div class="gbm-one"><i>Купите птиц</i>, они будут нести вам яйца.<img src="/img/eags.png" alt="eags"></div>
    <div class="gbm-two"><i>Продавайте яйца</i> и получайте за них серебро.<img src="/img/serebro.png" alt="serebro"></div>
    <div class="gbm-three"><i>Обменивайте серебро</i> на реальные деньги!</div>
    </div>';

    echo '<div class="title">Авторизация</div>';

    if (isset($_POST['auth'])) {

        $user = user($_POST['login'], 1);

        $error = '';

        if (isset($_SESSION['attempts']) && $_SESSION['attempts'] >= $sys['system']['err_attempts']) {
            if (empty($_POST['code'])) {
                $error.= 'Введите код с картинки!<br/>';
            }
            elseif ($_SESSION['code'] != $_POST['code']) {
                $error.= 'Код с картинки введен неверно!<br/>';
            }
        }
        if (!$error) {
            if (empty($_POST['login'])) {
                $error.= 'Введите логин!<br/>';
            }
            elseif (!$user) {
                $error.= 'Пользователь с данным логином не зарегистрирован!<br/>';
            }
            elseif ($user['ban'] > time()) {
                $error.= 'Этот аккаунт заблокирован!<br/>';
            }
            elseif (!isset($_SESSION['attempts']) && $user['attempts'] >= $sys['system']['err_attempts'] && $user['captcha'] > time() - 3600 * $sys['system']['captcha_time']) {
                $_SESSION['attempts'] = $user['attempts']; // включаем капчу
                $error.= 'Вы не робот?<br/>';
            }
            elseif (empty($_POST['pass'])) {
                $error.= 'Введите пароль!<br/>';
            }
            elseif (!password_verify($_POST['pass'], $user['pass'])) {
                $_SESSION['attempts'] = isset($_SESSION['attempts']) ? $_SESSION['attempts'] + 1 : 1; // включаем капчу
                CaptchaAuth($user); // учёт
                $error.= 'Неверный пароль!<br/>';
            }
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            $auth = bin2hex(random_bytes($sys['system']['authkey'])); // ключ авторизации

            if ($authlog->execute(array(time(), $user['id'], $ip, $ua, md5(md5($auth)), $_SESSION['attempts'] ?? 0))) {

                /* авторизация */

                $expire = isset($_POST['save']) ? time() + 3600 * 24 * 365 : 0;

                setcookie('user_id', $user['id']);
                setcookie('user_id', $user['id'], $expire, '/');
                setcookie('pass', $user['pass']);
                setcookie('pass', $user['pass'], $expire, '/');
                setcookie('auth', $auth);
                setcookie('auth', $auth, $expire, '/');

                /* отключаем капчу */

                CaptchaAuth($user, true);

                unset($_SESSION['attempts']);

                header('Location: /');

            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    Логин:<br/><input type="text" name="login"><br/>
    Пароль:<br/><input type="password" name="pass"><br/>
    '.(isset($_SESSION['attempts']) && $_SESSION['attempts'] >= $sys['system']['err_attempts'] ? '
    Код с картинки:<img id="captcha" src="/img/code.php" alt="check" onClick="UpCaptcha()"><br/>
    <input type="text" name="code"><br/>' : '').'
    <input type="submit" name="auth" value="Войти">
    <input type="checkbox" name="save" value="1">Запомнить
    </form></div>
    <div class="forlink"><a href="/reg" class="links"><img src="/img/reg.png" alt="reg">Зарегистрироваться</a></div>
    <div class="forlink"><a href="/forgot" class="links"><img src="/img/help.png" alt="help">Забыли пароль?</a></div>';

}

/* Меню сайта (для мобилок) */

echo '<div class="d-block d-md-none">';

    include("inc/menu.php");

echo '</div>';

require("inc/foot.php");
?>