<?php
$title = 'Мои птицы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Мои птицы</div>
    <div class="menu">
    У вас птиц: '.$count_user_birds.'<img src="/img/birds.png" alt="birds"><br/>
    Мест: '.$user['limit'].'
    </div>';

    if (isset($_POST['limit'])) {
        $error = '';
        if ($user['money'] < $sys['game']['limit']) {
            $error.= 'Недостаточно средств!<br/>';
        }
        if ($error) {
            echo '<div class="menu"><div class="danger">'.$error.'</div></div>';
        } else {
            $stmt = $connect->prepare("update `users` set `limit` = `limit` + ? where `id` = ?");
            if (pay(-$sys['game']['limit'], $user['id']) && $stmt->execute(array(5, $user['id']))) {
                header('Location: /myBirds');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }

    echo '<div class="menu">
    <form action="" method="POST">
    <input type="submit" name="limit" value="Купить 5 мест">
    <div class="chi">Стоимость: '.rub($sys['game']['limit']).'</div>
    </form></div>';

    echo '<div class="title">Покупка птиц</div>';

    $strow = $connect->prepare("select * from `birds` where `id` = ?");

    if (isset($_GET['buy'])) {
        $strow->execute(array($_GET['buy']));
        $row = $strow->fetch();
        if ($row) {
            if (isset($_POST['cancel'])) {
                header('Location: /myBirds');
            }
            elseif (isset($_POST['ok'])) {
                $error = '';
                if ($count_user_birds >= $user['limit']) {
                    $error.= 'Места заполнены!<br/>';
                }
                elseif ($user['money'] < $row['cena']) {
                    $error.= 'Недостаточно средств!<br/>';
                }
                if ($error) {
                    echo '<div class="menu">'.$error.'</div>';
                } else {
                    $buy = $connect->prepare("insert into `u_birds` set `time` = ?, `uid` = ?, `bid` = ?");
                    if (pay(-$row['cena'], $user['id']) && $buy->execute(array(time(), $user['id'], $_GET['buy']))) {
                        header('Location: /myBirds');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
            }
            echo '<div class="menu">
            <form action="" method="POST">
            <input type="submit" name="ok" value="Купить птицу ('.rub($row['cena']).')">
            <input type="submit" name="cancel" value="Отмена">
            </form></div>';
        } else {
            header('Location: /myBirds');
        }
    }

    $stmt_my = $connect->prepare("select count(*) from `u_birds` where `bid` = ? and `uid` = ?");

    if ($count_birds == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_birds, 10);

        $data = $connect->prepare("select * from `birds` order by `cena` asc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $file = GlobFiles::findById($row['id'], GlobFiles::Birds);

            $stmt_my->execute(array($row['id'], $user['id']));
            $my = $stmt_my->fetchColumn();

            echo '<div class="menu">
            '.($file ? '<img src="/files/birds/'.basename($file).'" alt="bird"><br/>' : '').'
            Имя птицы: '.$row['name'].'<br/>
            Доходность: <img src="/img/eags.png" alt="eags"><span class="wa-span-orange">'.quantDec($row['eags'], ['яйцо', 'яйца', 'яиц']).' в час</span><br/>
            Жизнь: '.($row['live'] ? quantDec($row['live'], ['день', 'дня', 'дней']) : 'бессмертная').'<br/>
            У вас в наличии: '.$my.' шт. (<a href="/liveBird/'.$row['id'].'">Инфо</a>)<br/>
            <div class="butt5">
            <a href="?buy='.$row['id'].'">Купить ('.rub($row['cena']).')</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>