<?php
$title = 'Обменник';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    echo '<div class="title">Обменник (Яйца => Серебро)</div>';

    if (isset($_POST['eags'])) {
        $error = '';
        $col = intval(abs($_POST['col']));
        if (empty($col)) {
            $error.= 'Введите количество получаемого серебра!<br/>';
        }
        elseif ($user['eags'] < $sys['game']['eags'] * $col) {
            $error.= 'Недостаточно яиц!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $stmt = $connect->prepare("update `users` set `eags` = `eags` - ?, `serebro` = `serebro` + ? where `id` = ?");
            if ($stmt->execute(array($sys['game']['eags'] * $col, $col, $user['id']))) {
                header('Location: /obmen');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Сколько нужно серебра?<br/><input type="text" name="col" value="'.intval($user['eags'] / $sys['game']['eags']).'"><br/>
    <input type="submit" name="eags" value="Обменять"><br/>
    <div class="chi">Яиц в наличии: '.$user['eags'].'<br/>
    Курс яиц - '.$sys['game']['eags'].':1</div>
    </form></div>';

    echo '<div class="title">Обменник (Серебро => Реальные деньги)</div>';

    if (isset($_POST['serebro'])) {
        $error = '';
        $col = intval(abs($_POST['col']));
        if (empty($col)) {
            $error.= 'Введите количество отдаваемого серебра!<br/>';
        }
        elseif ($col < 100) {
            $error.= 'Минимальная сумма обмена - 100 серебра!<br/>';
        }
        elseif ($user['serebro'] < $col) {
            $error.= 'Недостаточно серебра!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {
            $sum = $col / 100 * $sys['game']['serebro'];
            $stmt = $connect->prepare("update `users` set `serebro` = `serebro` - ? where `id` = ?");
            if (pay($sum, $user['id']) && $stmt->execute(array($col, $user['id']))) {
                header('Location: /obmen');
            } else {
                echo '<div class="menu">Произошла ошибка!</div>';
            }
        }
    }
    echo '<div class="menu">
    <form action="" method="POST">
    Отдаю серебро:<br/><input type="text" name="col" value="'.$user['serebro'].'"><br/>
    <input type="submit" name="serebro" value="Обменять"><br/>
    <div class="chi">Баланс серебра: '.$user['serebro'].'<br/>
    Курс серебра - 100:'.$sys['game']['serebro'].'</div>
    </form></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>