<?php
$title = 'Рейтинг игроков';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    switch ($act) {

        case 'birds':

            $rate = @$connect->query("select count(*) from `u_birds` group by `uid`")->fetchColumn();

            echo '<div class="title">Рейтинг по птицам ('.$rate.')</div>';

            if ($rate == 0) {
                echo '<div class="menu">Рейтинг пуст.</div>';
            } else {

                $page = new Pagination($rate, 10);

                $data = $connect->prepare("select *, count(*) as `count` from `u_birds` group by `uid` order by `count` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="user-forlink">'.profileLink($row['uid']).'<div class="chi">'.$row['count'].'<img src="/img/birds.png" alt="birds"></div></div>';

                }

                $page->navigation();

            }

            break;

        case 'serebro':

            $rate = $connect->query("select count(*) from `users` where `serebro` > '0'")->fetchColumn();

            echo '<div class="title">Рейтинг по серебру ('.$rate.')</div>';

            if ($rate == 0) {
                echo '<div class="menu">Рейтинг пуст.</div>';
            } else {

                $page = new Pagination($rate, 10);

                $data = $connect->prepare("select * from `users` where `serebro` > '0' order by `serebro` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="user-forlink">'.profileLink($row).'<div class="chi">'.$row['serebro'].'<img src="/img/serebro.png" alt="serebro"></div></div>';

                }

                $page->navigation();

            }

            break;

        case 'eags':

            $rate = $connect->query("select count(*) from `users` where `eags` > '0'")->fetchColumn();

            echo '<div class="title">Рейтинг по яйцам ('.$rate.')</div>';

            if ($rate == 0) {
                echo '<div class="menu">Рейтинг пуст.</div>';
            } else {

                $page = new Pagination($rate, 10);

                $data = $connect->prepare("select * from `users` where `eags` > '0' order by `eags` desc limit :start, 10");
                $data->bindValue(':start', $page->start, PDO::PARAM_INT);
                $data->execute();
                $sql = $data->fetchAll();

                foreach ($sql as $row) {

                    echo '<div class="user-forlink">'.profileLink($row).'<div class="chi">'.$row['eags'].'<img src="/img/eags.png" alt="eags"></div></div>';

                }

                $page->navigation();

            }

            break;

        default:

            echo '<div class="title">Рейтинг игроков</div>
            <div class="forlink"><a href="/ratingGame/birds" class="links"><img src="/img/birds.png" alt="birds">Рейтинг по птицам</a></div>
            <div class="forlink"><a href="/ratingGame/serebro" class="links"><img src="/img/serebro.png" alt="serebro">Рейтинг по серебру</a></div>
            <div class="forlink"><a href="/ratingGame/eags" class="links"><img src="/img/eags.png" alt="eags">Рейтинг по яйцам</a></div>';

    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>