<?php
$title = 'Настройки игры';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    echo '<div class="title">Настройки игры</div>';

    if (isset($_POST['settings'])) {
 
        $error = '';

        if (empty($_POST['eags'])) {
            $error.= 'Введите стоимость 1 серебра в яйцах!<br/>';
        }
        if (empty($_POST['serebro'])) {
            $error.= 'Введите стоимость 100 серебра в деньгах!<br/>';
        }
        elseif ($_POST['serebro'] < 0.01) {
            $error.= 'Стоимость 100 серебра не может быть меньше 0.01!<br/>';
        }
        if (empty($_POST['dl'])) {
            $error.= 'Введите количество мест для птиц по умолчанию!<br/>';
        }
        if (empty($_POST['limit'])) {
            $error.= 'Введите стоимость 5 мест для птиц!<br/>';
        }
        elseif ($_POST['limit'] < 0.01) {
            $error.= 'Стоимость 5 мест для птиц не может быть меньше 0.01!<br/>';
        }
        if ($error) {
            echo '<div class="menu">'.$error.'</div>';
        } else {

            // Система
            $sys['game']['eags'] = ceil(abs($_POST['eags']));
            $sys['game']['serebro'] = floatval(abs($_POST['serebro']));
            $sys['game']['dl'] = ceil(abs($_POST['dl']));
            $sys['game']['limit'] = floatval(abs($_POST['limit']));
            $sys['game']['bonus'] = intval(abs($_POST['bonus']));

            write_ini_file(FILE_CONFIG, $sys);

            header('Location: /adm/game');

        }

    }

    echo '<div class="menu">
    <form action="" method="POST" enctype="multipart/form-data">
    <div class="menu-title">Основное</div>
    Стоимость 1 серебра в яйцах:<br/><input type="text" name="eags" value="'.$sys['game']['eags'].'"><br/>
    Стоимость 100 серебра в деньгах:<br/><input type="text" name="serebro" value="'.$sys['game']['serebro'].'"><br/>
    Количество мест для птиц по умолчанию:<br/><input type="text" name="dl" value="'.$sys['game']['dl'].'"><br/>
    Стоимость 5 мест для птиц:<br/><input type="text" name="limit" value="'.$sys['game']['limit'].'"><br/>
    Бонусная птица при регистрации (ID, 0 - без бонусной птицы):<br/><input type="text" name="bonus" value="'.$sys['game']['bonus'].'"><br/>
    <input type="submit" name="settings" value="Сохранить">
    </form></div>';

} else {
    header('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>