<?php
$title = 'Мои птицы';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active)) {

    $strow = $connect->prepare("select * from `birds` where `id` = ?");
    $strow->execute(array($id));
    $row = $strow->fetch();

    if ($row) {

        $stmt_my = $connect->prepare("select count(*) from `u_birds` where `bid` = ? and `uid` = ?");
        $stmt_my->execute(array($row['id'], $user['id']));
        $my = $stmt_my->fetchColumn();

        echo '<div class="title">Мои птицы: '.$row['name'].' ('.$my.')</div>';

        $file = GlobFiles::findById($row['id'], GlobFiles::Birds);

        if ($file)
            echo '<div class="menu"><img src="/files/birds/'.basename($file).'" alt="bird"></div>';

        if ($my == 0) {
            echo '<div class="menu">Птиц нет.</div>';
        } else {

            $page = new Pagination($my, 10);

            $data = $connect->prepare("select * from `u_birds` where `bid` = :bid and `uid` = :uid order by `id` desc limit :start, 10");
            $data->bindValue(':bid', $id, PDO::PARAM_INT);
            $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
            $data->bindValue(':start', $page->start, PDO::PARAM_INT);
            $data->execute();
            $sql = $data->fetchAll();

            foreach ($sql as $rrow) {

                echo '<div class="menu">
                <img src="/img/birds.png" alt="birds"> Птица #'.$rrow['id'].'<br/>
                Дата покупки: '.daytime($rrow['time']).'<br/>
                Осталось жить: '.($row['live'] ? '<span class="wa-span-blue">'.restime(($rrow['time'] + 3600 * 24 * $row['live']) - time()).'</span>' : '<span class="wa-span-green">бессмертная</span>').'
                </div>';

            }

            $page->navigation();

        }

    } else {
        header('Location: /');
    }

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>